## qwbfsmanager 1.1.0

=== debian/changelog ===
qwbfsmanager (1.1.0-1ubuntu1) natty; urgency=low

  * Add patch kubuntu_01_arm_compile.diff to fix compile on ARM

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 09 Dec 2010 16:21:52 +0000

qwbfsmanager (1.1.0-1) unstable; urgency=low

  * New upstream release:
    - relicensed to GPL2 (Closes: #587384)
  * Bump Standards-Version to 3.9.0 (no changes needed).
  * Update debian/copyright according to upstream license changes.

 -- Fathi Boudra <fabo@debian.org>  Wed, 30 Jun 2010 15:32:04 +0300

qwbfsmanager (1.0.3-1) unstable; urgency=low

  * Initial release (Closes: #586640)

 -- Fathi Boudra <fabo@debian.org>  Wed, 16 Jun 2010 11:34:26 +0300
