=== debian/control ===
Source: qwbfsmanager
Section: utils
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Filipe Azevedo <pasnox@gmail.com>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.4.15), libqt4-dev (>= 4:4.6.0),
 libssl-dev, libxext-dev
Standards-Version: 3.9.0
Homepage: http://code.google.com/p/qwbfs/

Package: qwbfsmanager
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: graphical file manager for the WBFS filesystem
 QWBFS Manager is a graphical user interface (GUI) for working with WBFS
 filesystem formatted hard disk drive.
