## qwbfsmanager 1.2.1

=== debian/changelog ===
qwbfsmanager (1.2.1-1.1build2) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 06 Feb 2018 17:55:18 +0000

qwbfsmanager (1.2.1-1.1build1) raring; urgency=low

  * No-change rebuild against libudev1

 -- Martin Pitt <martin.pitt@ubuntu.com>  Wed, 13 Mar 2013 07:08:05 +0000

qwbfsmanager (1.2.1-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with recent qmake
    Patch by: Filipe AZEVEDO <pasnox@gmail.com>
    Closes: #672048
  * Fix FTBFS with gcc-4.7
    Patch by: Ilya Barygin <randomaction@ubuntu.com>
    Closes: #677930

 -- Evgeni Golov <evgeni@debian.org>  Fri, 06 Jul 2012 08:38:04 +0200

qwbfsmanager (1.2.1-1) unstable; urgency=low

  * New upstream release. (Closes: #626681)
  * Drop fix_598885.patch - merged upstream.
  * Add no_rpath.patch - fesh is linked statically.
  * Update debian/control:
    - add libudev-dev [linux-any] build dependency.
    - set architecture to linux-any.
    - mention "Wii Backup Filesystem" in the long description.
      (Closes: #587805)
  * Update debian/rules:
    - override dh_auto_install to install qwbfsmanager files only.
  * Add debian/README.Debian: mention group requirements for users.
    (Closes: #626683)
  * Provide a Debian menu file. (Closes: #653353)

 -- Fathi Boudra <fabo@debian.org>  Sat, 31 Dec 2011 15:51:03 +0200
