=== debian/control ===
Source: qwbfsmanager
Section: utils
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Filipe Azevedo <pasnox@gmail.com>
Uploaders: Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 8.0.0),
               libqt4-dev (>= 4:4.6.0),
               libssl-dev,
               libudev-dev [linux-any],
               libxext-dev
Standards-Version: 3.9.2
Homepage: http://code.google.com/p/qwbfs/

Package: qwbfsmanager
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: graphical file manager for the WBFS filesystem
 QWBFS Manager is a graphical user interface (GUI) for working with the Wii
 Backup Filesystem (WBFS) filesystem formatted hard disk drive.
