=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_install:
	dh_auto_install -- -C qwbfs
	find debian/qwbfsmanager -type f -name 'fresh-*.qm' -delete
